diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 47998e7..ea36b05 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -49946,8 +49946,8 @@ IntegrationResult(F:Field): Exports == Implementation where
 
     r:Q * u:% ==
       r = 0 => 0
-      mkAnswer(Q2F(r) * ratpart u, map(timelog(r, #1), logpart u),
-                                          map(timene(r, #1), notelem u))
+      mkAnswer(Q2F(r) * ratpart u, map(x1+->timelog(r, x1), logpart u),
+                                       map(x2+->timene(r, x2), notelem u))
 
     -- Initial attempt, quick and dirty, no simplification
     u + v ==
@@ -49955,7 +49955,8 @@ IntegrationResult(F:Field): Exports == Implementation where
                                     nesimp concat(notelem u, notelem v))
 
     if F has PartialDifferentialRing(Symbol) then
-      differentiate(u:%, x:Symbol):F == differentiate(u, differentiate(#1, x))
+      differentiate(u:%, x:Symbol):F == 
+        differentiate(u, x1+->differentiate(x1, x))
 
     differentiate(u:%, derivation:F -> F):F ==
       derivation ratpart u +
diff --git a/changelog b/changelog
index 2c93e64..31e6347 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.10.tpd.patch
+20090512 tpd books/bookvol10.3 IR +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.09.tpd.patch
 20090512 tpd books/bookvol10.4 CDEN +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.08.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index ccd6dae..3d57378 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1270,5 +1270,7 @@ bookvol10.3 INT +-> conversion<br/>
 bookvol10.4 CDEN +-> conversion<br/>
 <a href="patches/20090512.09.tpd.patch">20090512.09.tpd.patch</a>
 bookvol10.4 CDEN +-> conversion<br/>
+<a href="patches/20090512.10.tpd.patch">20090512.10.tpd.patch</a>
+bookvol10.2 IR +-> conversion<br/>
  </body>
 </html>
